org.jgroups.protocols

## Class RELAY.ViewData

- java.lang.Object
- - org.jgroups.protocols.RELAY.ViewData

- All Implemented Interfaces:
    Streamable
  Enclosing class:
    RELAY

      protected static class RELAY.ViewData
      extends java.lang.Object
      implements Streamable

  Contains local and remote views, and UUID information

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected View` | `global_view`
    `protected View` | `remote_view`
    `protected java.util.Map<Address,java.lang.String>` | `uuids`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RELAY.ViewData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RELAY.ViewData` | `create(View remote_view, View global_view)`
    `void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
    `java.lang.String` | `toString()`
    `void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### remote_view

          protected View remote_view

    - #### global_view

          protected View global_view

    - #### uuids

          protected java.util.Map<Address,java.lang.String> uuids

  - ### Constructor Detail

    - #### RELAY.ViewData

          public RELAY.ViewData()

  - ### Method Detail

    - #### create

          public static RELAY.ViewData create(View remote_view,
                              View global_view)

    - #### writeTo

          public void writeTo(java.io.DataOutputStream out)
                       throws java.io.IOException

      Description copied from interface: `Streamable`
      Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed
      Specified by:
        `writeTo` in interface `Streamable`
      Throws:
        `java.io.IOException`

    - #### readFrom

          public void readFrom(java.io.DataInputStream in)
                        throws java.io.IOException,
                               java.lang.IllegalAccessException,
                               java.lang.InstantiationException

      Description copied from interface: `Streamable`
      Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
      Specified by:
        `readFrom` in interface `Streamable`
      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.